Subject: [Emailcore] Obnoxious, 11th hour, appeal of the decision to hold an emailcore meeting

From: John C Klensin <[email-masked]>
Date: Mon, 16 Nov 2020 14:17:10 -0500

Barry and Murray,

About 12 hours ago (much later than it should have been), I
posted a note to the emailcore list questioning the
appropriateness of holding a formal WG meeting given that none
of the topics on the agenda had received any mailing list
discussion since the WG was chartered.

That message has gotten no response from either of the
co-chairs.  Instead, there have been several postings of
questions and issues to be resolved from Alexey.  

Having no discussion on the mailing list and requests for
specific discussion in well under 24 hours before a WG meeting
during IETF is inconsistent with many (or all) of our principles
about having materials available so that people can consider
them well before a WG meeting and preferably before IETF starts.
I have seen nothing from the IESG (or even in SHMOO discussions)
that would change those principles for an all-virtual meeting.

So I am requesting that the EMAILCORE meeting scheduled for
tomorrow's "Session II" slot be either cancelled or (at least)
postponed until the end of the week with strict instructions
from you about when new (to the mailing list) topics can be
introduced.  I note that there is no evidence that the items
listed on the agenda could not be settled on the mailing list
(because that has not been tried) so there is a reasonable
hypothesis that canceling tomorrow's meeting will delay the WG's
schedule.  It might even get people's attention and speed things
up.   I also note that there is precedent for canceling a WG
meeting during an IETF this close, or closer, to the meeting
time.

I have a low level of expectation that the request will be
granted.  There will clearly be no appeal from whatever you
decide (or avoid deciding) to the full IESG because, by the time
it could be considered, or even posted, it would be moot.
However, I do want it on the record that I have identified a
procedural problem and that I have asked.

obnoxiously yours,
    john

---

From: Barry Leiba <[email-masked]>
Date: Mon, 16 Nov 2020 17:10:08 -0500

Hi, John, and thanks for raising this.

Given the tight lead time for this, I prefer to leave the decision to the
chairs, but:

1. Postponing until Friday is not an option, as the overall meeting agenda
is full, and my agenda as AD is definitely full (I have a WG session I’m
responsible for in every slot).  I also see no reason to believe that we’ll
be any more prepared for a useful session on Friday than on Tuesday: I
think we need more time than that.

2. I think the best approach is to cancel the emailcore session at 109 and
schedule an interim meeting within the upcoming 4 weeks.  I urge the chairs
to seriously consider this, and to let me, the Secretariat, and the working
group know quickly.

Barry

---

From: Seth Blank <[email-masked]>
Date: Mon, 16 Nov 2020 14:46:12 -0800

Hi John and Barry,

The Chairs wish to hold today's session at 109. We believe it will be
productive in accelerating on-list conversations, assuming a critical mass
of participants actually in attendance.

We can also hold an interim in December, and likely will if there are
substantive topics that need discussion or there's a set of tickets that
aren't moving in a timely manner on the list.

Thanks,

Seth and Alexey, as Chairs

-- 

*Seth Blank* | VP, Standards and New Technologies
*e:* [email-masked]
*p:* 415.273.8818

This email and all data transmitted with it contains confidential and/or
proprietary information intended solely for the use of individual(s)
authorized to receive it. If you are not an intended and authorized
recipient you are hereby notified of any use, disclosure, copying or
distribution of the information included in this transmission is prohibited
and may be unlawful. Please immediately notify the sender by replying to
this email and then delete it from your system.

---

From: John C Klensin <[email-masked]>
Date: Mon, 16 Nov 2020 18:00:12 -0500

--On Monday, November 16, 2020 17:10 -0500 Barry Leiba
<[email-masked]> wrote:

> Given the tight lead time for this, I prefer to leave the
> decision to the chairs, but:
> 
> 1. Postponing until Friday is not an option, as the overall
> meeting agenda is full, and my agenda as AD is definitely full
> (I have a WG session I'm responsible for in every slot).  I
> also see no reason to believe that we'll be any more
> prepared for a useful session on Friday than on Tuesday: I

I mostly agree, but Friday would give me time to review the
proposed slides (which I didn't see until this afternoon),
Alexey time to get whatever other issues he wanted to see
discussed raised on the list, etc.  So, whether possible as an
option or not, Friday would be at least half-plausible.

> 2. I think the best approach is to cancel the emailcore
> session at 109 and schedule an interim meeting within the
> upcoming 4 weeks.  I urge the chairs to seriously consider
> this, and to let me, the Secretariat, and the working group
> know quickly.

Curiously, I proposed almost the same thing to the WG Chairs
almost three hours ago.  The more I think about it, the more I
think that it would be wiser to cancel a meeting tomorrow for
which none of us really seem prepared, set a date for an interim
immediately so it can be used as the forcing function tomorrow
obviously was not, try to get some solid discussion on the list
with the chairs actively intervening when people start doing
extended tours of rat and/or rabbit holes, and then hold a
productive meeting.   So, either interest coincidence or great
minds thinking alike.

thanks,
    john

>> during IETF is inconsistent with many (or all) of our
>> principles about having materials available so that people
>> can consider them well before a WG meeting and preferably
>> before IETF starts. I have seen nothing from the IESG (or
>> even in SHMOO discussions) that would change those principles
>> for an all-virtual meeting.
>> 
>> hypothesis that canceling tomorrow's meeting will delay the
>> WG's schedule.  It might even get people's attention and
>> speed things up.   I also note that there is precedent for
>> canceling a WG meeting during an IETF this close, or closer,
>> to the meeting time.
>> 
>> decide (or avoid deciding) to the full IESG because, by the
>> time it could be considered, or even posted, it would be moot.

---

From: John C Klensin <[email-masked]>
Date: Mon, 16 Nov 2020 19:17:28 -0500

Barry,

Again, consider this an appeal as the meeting schedule (and
preparation) are procedurally irregular.  No matter how much you
would like to leave the decision to the co-chairs, this is an
appeal and the buck stops with you.  I note for the record that
I have not asked you to remove them for relative non-feasance
since the WG was chartered.

And Seth and Alexey, I am unlikely to be able to make time for
two WG meetings (as distinct from mailing list participation and
working on the document at hours of my choosing) within a four
week period.  Didn't sign up for that.  Just so you know.

    john

--On Monday, November 16, 2020 14:46 -0800 Seth Blank
<[email-masked]> wrote:

> Hi John and Barry,
> 
> The Chairs wish to hold today's session at 109. We believe it
> will be productive in accelerating on-list conversations,
> assuming a critical mass of participants actually in
> attendance.
> 
> We can also hold an interim in December, and likely will if
> there are substantive topics that need discussion or there's a
> set of tickets that aren't moving in a timely manner on the
> list.
> 
> Thanks,
> 
>> meeting agenda is full, and my agenda as AD is definitely
>> full (I have a WG session I'm responsible for in every
>> slot).  I also see no reason to believe that we'll be any
>> more prepared for a useful session on Friday than on Tuesday:
>> I think we need more time than that.
>> 
>>> appropriateness of holding a formal WG meeting given that
>>> none of the topics on the agenda had received any mailing
>>> list discussion since the WG was chartered.
>>> 
>>> specific discussion in well under 24 hours before a WG
>>> meeting during IETF is inconsistent with many (or all) of
>>> our principles about having materials available so that
>>> people can consider them well before a WG meeting and
>>> preferably before IETF starts. I have seen nothing from the
>>> IESG (or even in SHMOO discussions) that would change those
>>> principles for an all-virtual meeting.
>>> 
>>> tomorrow's "Session II" slot be either cancelled or (at
>>> least) postponed until the end of the week with strict
>>> instructions from you about when new (to the mailing list)
>>> topics can be introduced.  I note that there is no evidence
>>> that the items listed on the agenda could not be settled on
>>> the mailing list (because that has not been tried) so there
>>> is a reasonable hypothesis that canceling tomorrow's meeting
>>> will delay the WG's schedule.  It might even get people's
>>> attention and speed things up.   I also note that there is
>>> precedent for canceling a WG meeting during an IETF this
>>> close, or closer, to the meeting time.
>>> 
>>> time it could be considered, or even posted, it would be
>>> moot. However, I do want it on the record that I have
>>> identified a procedural problem and that I have asked.
>>> 
>>> obnoxiously yours,
>>>     john
>>>

---

From: Dave Crocker <[email-masked]>
Date: Mon, 16 Nov 2020 16:29:48 -0800

On 11/16/2020 4:17 PM, John C Klensin wrote:
> appeal and the buck stops with you.

I'm going to second that request.  The real-time meetings are for 
dealing with issues that have been raised and need discussion.

The view that Seth expresses, that this might generate wg energy, does 
not seem reasonable to me.

The attempt, here, is to compensate for the working group's having done 
little in the venue that is supposed to be primary. That's not going to 
get fixed with a quick real-time session, especially when all or nearly 
all of the participants are likely to be attending in the middle of 
their night.

/d

-- 
Dave Crocker
Brandenburg InternetWorking
bbiw.net

---

From: Barry Leiba <[email-masked]>
Date: Mon, 16 Nov 2020 19:59:24 -0500

I understand what both of you are saying, so let me be clearer:

1. Given how little time there is before the session (6.5 hours or so, as I
type this), I think it’s likely that people planning to attend would not
see the cancellation between the time we got it announced and the session
time, and that itself would be disrespectful of people’s time and planning.

2. While it’s ideal that meeting sessions be spent furthering mailing list
discussion, I do think that a meeting can be productive under the
parameters we currently have.

3. I’ve discussed this with Seth and accept his analysis that the meeting
session can be productive.

>From an appeal standpoint, I support the chairs’ decision to continue with
the session as scheduled.

And for clarity on John’s subject line, I don’t consider either the appeal
or John to be obnoxious.  :-)   Nevertheless, it might well have been
different had this been brought up a week ago or two, as, “Let’s cancel the
109 session if we don’t have significant discussion on he list in the next
(n) days.”

Let’s please try to have productive discussion here, and do our best to
continue that discussion on the list afterward.

Barry

On Mon, Nov 16, 2020 at 7:30 PM Dave Crocker <[email-masked]> wrote:

> I'm going to second that request.  The real-time meetings are for dealing
> with issues that have been raised and need discussion.
>
> The view that Seth expresses, that this might generate wg energy, does not
> seem reasonable to me.
>
> get fixed with a quick real-time session, especially when all or nearly all
> of the participants are likely to be attending in the middle of their night.
>
> /d
>
>
> --On Monday, November 16, 2020 14:46 -0800 Seth Blank<[email-masked]> <[email-masked]> wrote:
>
>
> Hi John and Barry,
>
> Brandenburg InternetWorkingbbiw.net
>
>

---

From: John C Klensin <[email-masked]>
Date: Mon, 16 Nov 2020 21:03:39 -0500

--On Monday, November 16, 2020 19:59 -0500 Barry Leiba
<[email-masked]> wrote:

> 1. Given how little time there is before the session (6.5
> hours or so, as I type this), I think it's likely that
> people planning to attend would not see the cancellation
> between the time we got it announced and the session time, and
> that itself would be disrespectful of people's time and
> planning.

That is fair although I note that I made the request to cancel
more than 12 hours before the meeting was to start, at which
time it would have been more reasonable to call it off.

> 2. While it's ideal that meeting sessions be spent
> furthering mailing list discussion, I do think that a meeting
> can be productive under the parameters we currently have.
> 
> 3. I've discussed this with Seth and accept his analysis
> that the meeting session can be productive.
> 
> From an appeal standpoint, I support the chairs' decision to
> continue with the session as scheduled.

Ok.  See below.
 
> And for clarity on John's subject line, I don't consider
> either the appeal or John to be obnoxious.  :-)
> Nevertheless, it might well have been different had this been
> brought up a week ago or two, as, "Let's cancel the 109
> session if we don't have significant discussion on he list
> in the next (n) days."

Yes.  Probably the issue should have been raised a week or two
ago.  And, had the chairs posted a revised agenda that focused
more on figuring out how to move forward more constructively
than pretending everything was normal, I probably would not be
complaining.  And, unless there has been a change that I didn't
notice, all approvals for WG meetings are contingent on the WG
being ready to meet and you could have stepped in at any time
before today's rash of postings, or certainly after I posed the
"why are we meeting" question at 07:01 UTC today and said "no
on-list discussion, no meeting" without waiting for someone to
formally ask.  I have to agree with Dave that this is not a good
way to get the WG moving.

> Let's please try to have productive discussion here, and do
> our best to continue that discussion on the list afterward.

I will do my best.   However, I have not had, would not have had
even without this discussion of cancellation, and am almost
certain to not have between now and the meeting, time to review
and think about the about the agenda topics minimally discussed
today or review what 5321bis now says and review my notes about
why it says that before the meeting starts and hence am unlikely
to have much useful to contribute.  

thanks,
    john

---

From: Ned Freed <[email-masked]>
Date: Tue, 17 Nov 2020 00:38:56 -0800 (PST)

And noe for a 13th hour comment.

These days I spend a significant fraction of my time engaged in online
meetings, mostly using Zoom, occasionally some more specialized thing. The
number of times I have any sort of issue joining meetings and participting is
incredibly tiny.

It doesn't matter what brower, app, or device I choose to use. It just works.
It works when I use my laptop, tablet, or my phone. It works when I use the
builtin mic, a headset, or a speakerphone. it works when I dial in.

It works when I use a builtin camera or an external one. Or switch between the
two.

It works when I join more than one meeting. It works when I join a meeting
outside its scheduled time slot. And no doubt it's tolerating numerous other
sins I'm unaware I'm commiting.

To the extent there are problems, it's invariably either a network issue or a
PIBKAC. I can count the number of serious software bugs I've encountered in the
time of Covid-19 on the fingers of no hands.

And then we come to the IETF. And Meetecho. I'm going to skip the obligatory,
"How much hard work has gone into it and how wonderful all the support has
been, etc." lines because I'm frankly not in the mood.

Today's emailcore meeting was par for the course. Odd popup window on logging
in - not clear what that was about. Some warning about audio issues that
vanished before I could even read it. And then no ability to speak myself - and
no indication of why. Reseting the audio - an option no other app seems to need
- provided no satisfaction, unless pressing buttons that do nothing counts as
satisfying.

I was resigned to using chat to communicate until we reached a point in the
meeting where nothing but high bandwidth would really do. In desperation I
decided to try a different browser. I disonnected - I know better than to join
the same meeting twice using different tools - and tried to reconnect. Except
the meeting had run over time, and I wasn't allowed in. 

Folks, I'm not kidding when I say that the local folk music center consistently
does a better job, and a less technically savvy group  is hard for me to
imagine.

The IETF needs to get its shit together. It's embarassing.

				Ned

---

From: "Pete Resnick" <[email-masked]>
Date: Tue, 17 Nov 2020 03:24:28 -0600

This should probably be sent to tools-discuss. I have had relatively 
good experiences with Meetecho A/V, but it is not as reliable as most 
tools out there and they really need to address this. Hitting the little 
"reset audio" button in the bottom right corner should simply not need 
to be done, ever.

pr

-- 
Pete Resnick https://www.episteme.net/
All connections to the world are tenuous at best

---

From: Dave Crocker <[email-masked]>
Date: Tue, 17 Nov 2020 07:27:59 -0800

> The IETF needs to get its shit together. It's embarassing.

The Meetecho folks are great and they tend to make good usability 
choices.  But they have never been a serious business. So it is not 
surprising that that industry has run right past them, especially with 
the current usage pressures, driving aggressive enhancement.

d/

---

From: "John Levine" <[email-masked]>
Date: 17 Nov 2020 21:48:16 -0500

>the current usage pressures, driving aggressive enhancement.

Unfortunate but quite true.

R's,
John